[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| CoordinateConstValueAccessor< Accessor, COORD > Class Template Reference |

Forward accessor to the value() part of the values an iterator points to. More...

`#include <vigra/coordinate_iterator.hxx>`

List of all members.

## Public Member Functions
template<class ITERATOR >
value_type | operator() (ITERATOR const &i) const
template<class ITERATOR , class DIFFERENCE >
value_type | operator() (ITERATOR const &i, DIFFERENCE const &diff) const

## Detailed Description

### template<class Accessor, class COORD>
class vigra::CoordinateConstValueAccessor< Accessor, COORD >

Forward accessor to the value() part of the values an iterator points to.

CoordinateConstValueAccessor is a accessor that forwards the underlying accessor's operator() read functions. It passes its arguments by value.

#include <vigra/coordinate_iterator.hxx>
Namespace: vigra

## Member Function Documentation

value_type operator() | ( | ITERATOR const & | i | ) | const

Read the current data item.

value_type operator() | ( | ITERATOR const & | i,
|  | DIFFERENCE const & | diff
| ) |  | const

Read the data item at an offset.

The documentation for this class was generated from the following file:

- vigra/coordinate_iterator.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)